Package org.eclipse.emf.cdo.common.id

## Interface CDOIDObject

- All Superinterfaces:
    `CDOID`, `java.lang.Comparable<CDOID>`, `java.io.Serializable`
  All Known Subinterfaces:
    `InternalCDOIDObject`

      public interface CDOIDObject
      extends CDOID

  The `ID` of a CDO object that is persistent in a CDO `repository`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.id.CDOID

      `CDOID.ObjectType, CDOID.Type`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOID

      `NIL, NULL`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOID

      `getType, isDangling, isExternal, isNil, isNull, isObject, isTemporary, toURIFragment`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`